Download a file

​

Serves the file with an attachment Content-Disposition header and the original filename, triggering a browser download dialog.

Path Parameters

  • ID of file

Query Parameters

  • Set to true to trigger a browser download dialog

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/file/{fileId}/download
curl https://test.boost.space/api/file/1/download \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body